/**
 * An ExternalTask, the ProcessEngine is providing for external services to
 * process.
 */
export declare class ExternalTask {
    /**
     * The process variables and token data to use by the ExternalTask service.
     */
    payload: any;
    /**
     * The ID of the ExternalTask.
     */
    id: string;
    /**
     * The FlowNodeIstance ID in the ProcessModel.
     */
    flowNodeInstanceId: string;
    /**
     * The ID of the Correlation the ProcessInstance belongs to.
     */
    correlationId: string;
    /**
     * The ProcessInstanceId.
     */
    processInstanceId: string;
    /**
     * The worker ID of the ExternalTask.
     * The Processengine locks the task for this worker to process.
     */
    workerId: string;
    /**
     * The lock expiration time. On expiration, the task is released to
     * be processed by other workers.
     */
    lockExpirationTime: Date;
}
